Package: org.codehaus.groovy.grails.validation

## [Java] Interface VetoingConstraint

- org.springframework.beans.factory.Aware

- All Superinterfaces:
    Constraint, org.springframework.beans.factory.Aware

  Marker interface for vetoing constraint.

  Vetoing constraints are those which might return 'true' from validateWithVetoing method to prevent any additional validation of the property. These constraints are proceeded before any other constraints, and validation continues only if no one of vetoing constraint hadn't vetoed.
  Authors:
    Sergey Nebolsin ()

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `validateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Constraint` | `getName, getParameter, getPropertyName, isValid, setMessageSource, setOwningClass, setParameter, setPropertyName, supports, validate`
    `interface org.springframework.context.MessageSourceAware` | `org.springframework.context.MessageSourceAware#setMessageSource(org.springframework.context.MessageSource)`

- - ### Method Detail

    - #### public boolean validateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)